Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcdta.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcdta.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcdta.F90	(revision 2200)
@@ -1261,33 +1107,108 @@
       INTEGER :: it , idum
 
-    idum = itobc
-    DO it =1, itobc
-       IF ( ztcobc(it) > zjcnes ) THEN ;  idum = it - 1 ; EXIT ;  ENDIF
-    ENDDO
-    ! idum can be 0 (climato, before first record)
-    IF ( idum == 0 ) THEN
-       IF ( ln_obc_clim ) THEN
-         idum = itobc
-       ELSE
-         ctmp1='obc_dta: find ntobc == 0 for  non climatological file '
-         ctmp2='consider adding a first record in your data file '
-         CALL ctl_stop(ctmp1, ctmp2)
-       ENDIF
-    ENDIF
-    ! idum can be itobc ( zjcnes > ztcobc (itobc) )
-    !  This is not a problem ...
-    nrecbef = idum
-
-  END FUNCTION nrecbef
+      idum = itobc
+      DO it =1, itobc
+         IF ( ztcobc(it) > zjcnes ) THEN ;  idum = it - 1 ; EXIT ;  ENDIF
+         ENDDO
+         ! idum can be 0 (climato, before first record)
+         IF ( idum == 0 ) THEN
+            IF ( ln_obc_clim ) THEN
+               idum = itobc
+            ELSE
+               ctmp1='obc_dta: find ntobc == 0 for  non climatological file '
+               ctmp2='consider adding a first record in your data file '
+               CALL ctl_stop(ctmp1, ctmp2)
+            ENDIF
+         ENDIF
+         ! idum can be itobc ( zjcnes > ztcobc (itobc) )
+         !  This is not a problem ...
+         nrecbef = idum
+
+      END FUNCTION nrecbef
+
+      !!==============================================================================
+      SUBROUTINE obc_depth_average(nt_x)
+         !!-----------------------------------------------------------------------
+         !!                     ***    ROUTINE obc_depth_average   ***
+         !!
+         !!  Purpose : - compute the depth-averaged velocity from depth-dependent OBC frames
+         !!
+         !!    History : 2009-01 : ( Fred Dupont ) Original code
+         !!-----------------------------------------------------------------------
+
+         ! * Arguments
+         INTEGER, INTENT( in ) :: nt_x
+
+         ! * Local variables
+         INTEGER :: ji, jj, jk
+
+
+         IF( lp_obc_east ) THEN
+            ! initialisation to zero
+            ubtedta(:,nt_x) = 0.e0
+            vbtedta(:,nt_x) = 0.e0
+            DO ji = nie0, nie1
+               DO jj = 1, jpj
+                  DO jk = 1, jpkm1
+                     ubtedta(jj,nt_x) = ubtedta(jj,nt_x) + uedta(jj,jk,nt_x)*fse3u(ji,jj,jk)
+                     vbtedta(jj,nt_x) = vbtedta(jj,nt_x) + vedta(jj,jk,nt_x)*fse3v(ji+1,jj,jk)
+                  END DO
+               END DO
+            END DO
+         ENDIF
+
+         IF( lp_obc_west) THEN
+            ! initialisation to zero
+            ubtwdta(:,nt_x) = 0.e0
+            vbtwdta(:,nt_x) = 0.e0
+            DO ji = niw0, niw1
+               DO jj = 1, jpj
+                  DO jk = 1, jpkm1
+                     ubtwdta(jj,nt_x) = ubtwdta(jj,nt_x) + uwdta(jj,jk,1)*fse3u(ji,jj,jk)
+                     vbtwdta(jj,nt_x) = vbtwdta(jj,nt_x) + vwdta(jj,jk,1)*fse3v(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
+         ENDIF
+
+         IF( lp_obc_north) THEN
+            ! initialisation to zero
+            ubtndta(:,nt_x) = 0.e0
+            vbtndta(:,nt_x) = 0.e0
+            DO jj = njn0, njn1
+               DO ji = 1, jpi
+                  DO jk = 1, jpkm1
+                     ubtndta(ji,nt_x) = ubtndta(ji,nt_x) + undta(ji,jk,nt_x)*fse3u(ji,jj+1,jk)
+                     vbtndta(ji,nt_x) = vbtndta(ji,nt_x) + vndta(ji,jk,nt_x)*fse3v(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
+         ENDIF
+
+         IF( lp_obc_south) THEN
+            ! initialisation to zero
+            ubtsdta(:,nt_x) = 0.e0
+            vbtsdta(:,nt_x) = 0.e0
+            DO jj = njs0, njs1
+               DO ji = nis0, nis1
+                  DO jk = 1, jpkm1
+                     ubtsdta(ji,nt_x) = ubtsdta(ji,nt_x) + usdta(ji,jk,nt_x)*fse3u(ji,jj,jk)
+                     vbtsdta(ji,nt_x) = vbtsdta(ji,nt_x) + vsdta(ji,jk,nt_x)*fse3v(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
+         ENDIF
+
+      END SUBROUTINE obc_depth_average
 
 #else
-  !!------------------------------------------------------------------------------
-  !!   default option:           Dummy module          NO Open Boundary Conditions
-  !!------------------------------------------------------------------------------
-CONTAINS
-  SUBROUTINE obc_dta( kt )             ! Dummy routine
-    INTEGER, INTENT (in) :: kt
-    WRITE(*,*) 'obc_dta: You should not have seen this print! error?', kt
-  END SUBROUTINE obc_dta
+      !!------------------------------------------------------------------------------
+      !!   default option:           Dummy module          NO Open Boundary Conditions
+      !!------------------------------------------------------------------------------
+   CONTAINS
+      SUBROUTINE obc_dta( kt )             ! Dummy routine
+         INTEGER, INTENT (in) :: kt
+         WRITE(*,*) 'obc_dta: You should not have seen this print! error?', kt
+      END SUBROUTINE obc_dta
 #endif
-END MODULE obcdta
+   END MODULE obcdta
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcdyn_bt.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcdyn_bt.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcdyn_bt.F90	(revision 2200)
@@ -23,5 +23,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE lib_mpp         ! distributed memory computing
-   USE obccli          ! ocean open boundary conditions: climatology
+   USE obcdta          ! ocean open boundary conditions
    USE in_out_manager  ! I/O manager
    USE dynspg_oce      ! surface pressure gradient     (free surface with time-splitting)
@@ -99,5 +99,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -134,5 +133,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -166,5 +164,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -200,5 +197,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
 
       !!------------------------------------------------------------------------------
@@ -235,5 +231,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -268,5 +263,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -298,5 +292,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -330,5 +323,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
 
       !!------------------------------------------------------------------------------
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcini.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcini.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcini.F90	(revision 2200)
@@ -375,89 +375,84 @@
       END IF
 
-      IF ( ln_vol_cst .OR. lk_dynspg_flt ) THEN
-        ! ... Initialize obcumask and obcvmask for the Force filtering 
-        !     boundary condition in dynspg_flt
-        obcumask(:,:) = umask(:,:,1)
-        obcvmask(:,:) = vmask(:,:,1)
-
-        ! ... Initialize obctmsk on overlap region and obcs. This mask
-        !     is used in obcvol.F90 to calculate cumulate flux E-P. 
-        !     obc Tracer point are outside the domain ( U/V obc points) ==> masked by obctmsk
-        !     - no flux E-P on obcs and overlap region (jpreci = jprecj = 1)
-        obctmsk(:,:) = tmask_i(:,:)     
-
-        IF( lp_obc_east ) THEN
-           ! ... East obc Force filtering mask for the grad D
-           obcumask(nie0  :nie1  ,nje0p1:nje1m1) = 0.e0
-           obcvmask(nie0p1:nie1p1,nje0p1:nje1m1) = 0.e0
-           ! ... set to 0 on East OBC
-           obctmsk(nie0p1:nie1p1,nje0:nje1) = 0.e0
-        END IF
-  
-        IF( lp_obc_west ) THEN
-           ! ... West obc Force filtering mask for the grad D
-           obcumask(niw0:niw1,njw0:njw1) = 0.e0
-           obcvmask(niw0:niw1,njw0:njw1) = 0.e0
-           ! ... set to 0 on West OBC
-           obctmsk(niw0:niw1,njw0:njw1) = 0.e0
-        END IF
-  
-        IF( lp_obc_north ) THEN
-           ! ... North obc Force filtering mask for the grad D
-           obcumask(nin0p1:nin1m1,njn0p1:njn1p1) = 0.e0
-           obcvmask(nin0p1:nin1m1,njn0  :njn1  ) = 0.e0
-           ! ... set to 0 on North OBC
-           obctmsk(nin0:nin1,njn0p1:njn1p1) = 0.e0
-        END IF
-  
-        IF( lp_obc_south ) THEN
-           ! ... South obc Force filtering mask for the grad D
-           obcumask(nis0p1:nis1m1,njs0:njs1) = 0.e0
-           obcvmask(nis0p1:nis1m1,njs0:njs1) = 0.e0
-           ! ... set to 0 on South OBC
-           obctmsk(nis0:nis1,njs0:njs1) = 0.e0
-        END IF
-      ENDIF
-
-      IF ( ln_vol_cst .OR. lk_dynspg_flt  ) THEN
-
-         ! 3.1 Total lateral surface 
-         ! -------------------------
-         obcsurftot = 0.e0
-  
-         IF( lp_obc_east ) THEN ! ... East open boundary lateral surface
-            DO ji = nie0, nie1
-               DO jj = 1, jpj 
-                  obcsurftot = obcsurftot+hu(ji,jj)*e2u(ji,jj)*uemsk(jj,1) * MAX(obctmsk(ji,jj),obctmsk(ji+1,jj) )
-               END DO
+      ! ... Initialize obcumask and obcvmask for the Force filtering 
+      !     boundary condition in dynspg_flt
+      obcumask(:,:) = umask(:,:,1)
+      obcvmask(:,:) = vmask(:,:,1)
+
+      ! ... Initialize obctmsk on overlap region and obcs. This mask
+      !     is used in obcvol.F90 to calculate cumulate flux E-P. 
+      !     obc Tracer point are outside the domain ( U/V obc points) ==> masked by obctmsk
+      !     - no flux E-P on obcs and overlap region (jpreci = jprecj = 1)
+      obctmsk(:,:) = tmask_i(:,:)     
+
+      IF( lp_obc_east ) THEN
+         ! ... East obc Force filtering mask for the grad D
+         obcumask(nie0  :nie1  ,nje0p1:nje1m1) = 0.e0
+         obcvmask(nie0p1:nie1p1,nje0p1:nje1m1) = 0.e0
+         ! ... set to 0 on East OBC
+         obctmsk(nie0p1:nie1p1,nje0:nje1) = 0.e0
+      END IF
+
+      IF( lp_obc_west ) THEN
+         ! ... West obc Force filtering mask for the grad D
+         obcumask(niw0:niw1,njw0:njw1) = 0.e0
+         obcvmask(niw0:niw1,njw0:njw1) = 0.e0
+         ! ... set to 0 on West OBC
+         obctmsk(niw0:niw1,njw0:njw1) = 0.e0
+      END IF
+
+      IF( lp_obc_north ) THEN
+         ! ... North obc Force filtering mask for the grad D
+         obcumask(nin0p1:nin1m1,njn0p1:njn1p1) = 0.e0
+         obcvmask(nin0p1:nin1m1,njn0  :njn1  ) = 0.e0
+         ! ... set to 0 on North OBC
+         obctmsk(nin0:nin1,njn0p1:njn1p1) = 0.e0
+      END IF
+
+      IF( lp_obc_south ) THEN
+         ! ... South obc Force filtering mask for the grad D
+         obcumask(nis0p1:nis1m1,njs0:njs1) = 0.e0
+         obcvmask(nis0p1:nis1m1,njs0:njs1) = 0.e0
+         ! ... set to 0 on South OBC
+         obctmsk(nis0:nis1,njs0:njs1) = 0.e0
+      END IF
+
+      ! 3.1 Total lateral surface 
+      ! -------------------------
+      obcsurftot = 0.e0
+
+      IF( lp_obc_east ) THEN ! ... East open boundary lateral surface
+         DO ji = nie0, nie1
+            DO jj = 1, jpj 
+               obcsurftot = obcsurftot+hu(ji,jj)*e2u(ji,jj)*uemsk(jj,1) * MAX(obctmsk(ji,jj),obctmsk(ji+1,jj) )
             END DO
-         END IF
-  
-         IF( lp_obc_west ) THEN ! ... West open boundary lateral surface
-            DO ji = niw0, niw1
-               DO jj = 1, jpj 
-                  obcsurftot = obcsurftot+hu(ji,jj)*e2u(ji,jj)*uwmsk(jj,1) * MAX(obctmsk(ji,jj),obctmsk(ji+1,jj) )
-               END DO
+         END DO
+      END IF
+
+      IF( lp_obc_west ) THEN ! ... West open boundary lateral surface
+         DO ji = niw0, niw1
+            DO jj = 1, jpj 
+               obcsurftot = obcsurftot+hu(ji,jj)*e2u(ji,jj)*uwmsk(jj,1) * MAX(obctmsk(ji,jj),obctmsk(ji+1,jj) )
             END DO
-         END IF
-
-         IF( lp_obc_north ) THEN ! ... North open boundary lateral surface
-            DO jj = njn0, njn1
-               DO ji = 1, jpi
-                  obcsurftot = obcsurftot+hv(ji,jj)*e1v(ji,jj)*vnmsk(ji,1) * MAX(obctmsk(ji,jj),obctmsk(ji,jj+1) )
-               END DO
+         END DO
+      END IF
+
+      IF( lp_obc_north ) THEN ! ... North open boundary lateral surface
+         DO jj = njn0, njn1
+            DO ji = 1, jpi
+               obcsurftot = obcsurftot+hv(ji,jj)*e1v(ji,jj)*vnmsk(ji,1) * MAX(obctmsk(ji,jj),obctmsk(ji,jj+1) )
             END DO
-         END IF
-  
-         IF( lp_obc_south ) THEN ! ... South open boundary lateral surface
-            DO jj = njs0, njs1
-               DO ji = 1, jpi
-                  obcsurftot = obcsurftot+hv(ji,jj)*e1v(ji,jj)*vsmsk(ji,1) * MAX(obctmsk(ji,jj),obctmsk(ji,jj+1) )
-               END DO
+         END DO
+      END IF
+
+      IF( lp_obc_south ) THEN ! ... South open boundary lateral surface
+         DO jj = njs0, njs1
+            DO ji = 1, jpi
+               obcsurftot = obcsurftot+hv(ji,jj)*e1v(ji,jj)*vsmsk(ji,1) * MAX(obctmsk(ji,jj),obctmsk(ji,jj+1) )
             END DO
-         END IF
-  
-         IF( lk_mpp )   CALL mpp_sum( obcsurftot )   ! sum over the global domain
-      ENDIF
+         END DO
+      END IF
+
+      IF( lk_mpp )   CALL mpp_sum( obcsurftot )   ! sum over the global domain
 
       ! 5. Control print on mask 
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcrad.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcrad.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcrad.F90	(revision 2200)
@@ -115,5 +115,5 @@
       ! -------------------
 
-      IF( kt > nit000 ) THEN 
+      IF( kt > nit000 .OR. ln_rstart ) THEN 
 
          ! ... advance in time (time filter, array swap) 
@@ -379,5 +379,5 @@
       ! -------------------
 
-      IF( kt > nit000 ) THEN
+      IF( kt > nit000 .OR. ln_rstart ) THEN
 
          ! ... advance in time (time filter, array swap) 
@@ -648,5 +648,5 @@
       ! -------------------
 
-      IF( kt > nit000 ) THEN 
+      IF( kt > nit000 .OR. ln_rstart ) THEN 
 
          ! ... advance in time (time filter, array swap)
@@ -922,5 +922,5 @@
       ! --------------------
   
-      IF( kt > nit000) THEN 
+      IF( kt > nit000 .OR. ln_rstart ) THEN 
 
          ! ... advance in time (time filter, array swap)
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcrst.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcrst.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/OBC/obcrst.F90	(revision 2200)
@@ -278,5 +278,5 @@
       !! * Local declarations
       INTEGER ::   inum = 11            ! temporary logical unit
-      INTEGER ::   ji,jj,jk,ios
+      INTEGER ::   ji,jj,jk
       INTEGER ::   ino0,it0,nbobc0,jpieob0,jpiwob0,jpjnob0,jpjsob0
       INTEGER ::   ino1,it1,nbobc1,jpieob1,jpiwob1,jpjnob1,jpjsob1
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/opa.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/opa.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/opa.F90	(revision 2200)
@@ -175,12 +175,11 @@
       !                             !--------------------------------------------!
 #if defined key_iomput
+      IF( Agrif_Root() ) THEN
 # if defined key_oasis3 || defined key_oasis4
-      CALL cpl_prism_init( ilocal_comm )      ! nemo local communicator given by oasis
-      CALL init_ioclient()                    ! io_server will get its communicators (if needed) from oasis (we don't see it)
-# else
-      CALL init_ioclient( ilocal_comm )       ! nemo local communicator (used or not) given by the io_server
+         CALL cpl_prism_init( ilocal_comm )   ! nemo local communicator given by oasis
 # endif
+         CALL  init_ioclient( ilocal_comm )   ! exchange io_server nemo local communicator with the io_server
+      ENDIF
       narea = mynode( cltxt, ilocal_comm )    ! Nodes selection
-
 #else
 # if defined key_oasis3 || defined key_oasis4
Index: /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/step.F90
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/step.F90	(revision 2199)
+++ /branches/DEV_r2106_LOCEAN2010/NEMO/OPA_SRC/step.F90	(revision 2200)
@@ -82,7 +82,6 @@
 #endif   
                              indic = 0                ! reset to no error condition
-      IF( kstp /= nit000 )   CALL day      ( kstp )   ! Calendar (day was already called at nit000 in day_init)
+      IF( kstp /= nit000 )   CALL day( kstp )         ! Calendar (day was already called at nit000 in day_init)
                              CALL iom_setkt( kstp )   ! say to iom that we are at time step kstp
-                             CALL rst_opn  ( kstp )   ! Open the restart file
 
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
